VWSとは フォーラム Lightning Lightning Pro トップページスライドショーが動作しない

Lightning Pro トップページスライドショーが動作しない

  • このトピックには3件の返信、1人の参加者があり、最後にYuzuにより8ヶ月、 1週前に更新されました。
4件の投稿を表示中 - 1 - 4件目 (全4件中)
  • 投稿者
    投稿
  • #26623

    Yuzu
    参加者

    お世話になります。
    Lightning Pro の現最新Ver(2.3.0)を使用中です。

    いつのタイミングからか分からないのですが、トップページスライドショーが動作しなくなってしまいました。。

    両脇の”<“、”>”をクリックしても、下部の”●○○”をクリックしても動作せず、、です。
    子テーマを解除し、Pro本体で確認しても同様の挙動となります。
    Chrome DevToolsで確認すると、LightningProに含まれている bootstrap.min.js で、以下の様なエラーが発生するのですが、関係あるでしょうか?

    jquery-migrate.min.js?ver=1.4.1:2 JQMIGRATE: Migrate is installed, version 1.4.1
    bootstrap.min.js?ver=3.4.1:6 Uncaught TypeError: Cannot read property 'cycle' of undefined
        at HTMLDivElement.<anonymous> (bootstrap.min.js?ver=3.4.1:6)
        at Function.each (jquery.js?ver=1.12.4-wp:2)
        at a.fn.init.each (jquery.js?ver=1.12.4-wp:2)
        at a.fn.init.r [as carousel] (bootstrap.min.js?ver=3.4.1:6)
        at HTMLDivElement.<anonymous> (bootstrap.min.js?ver=3.4.1:6)
        at Function.each (jquery.js?ver=1.12.4-wp:2)
        at a.fn.init.each (jquery.js?ver=1.12.4-wp:2)
        at bootstrap.min.js?ver=3.4.1:6
        at dispatch (jquery.js?ver=1.12.4-wp:3)
        at r.handle (jquery.js?ver=1.12.4-wp:3)
    (anonymous) @ bootstrap.min.js?ver=3.4.1:6
    each @ jquery.js?ver=1.12.4-wp:2
    each @ jquery.js?ver=1.12.4-wp:2
    r @ bootstrap.min.js?ver=3.4.1:6
    (anonymous) @ bootstrap.min.js?ver=3.4.1:6
    each @ jquery.js?ver=1.12.4-wp:2
    each @ jquery.js?ver=1.12.4-wp:2
    (anonymous) @ bootstrap.min.js?ver=3.4.1:6
    dispatch @ jquery.js?ver=1.12.4-wp:3
    r.handle @ jquery.js?ver=1.12.4-wp:3
    load (async)
    add @ jquery.js?ver=1.12.4-wp:3
    a.event.add @ jquery-migrate.min.js?ver=1.4.1:2
    (anonymous) @ jquery.js?ver=1.12.4-wp:3
    each @ jquery.js?ver=1.12.4-wp:2
    each @ jquery.js?ver=1.12.4-wp:2
    ra @ jquery.js?ver=1.12.4-wp:3
    on @ jquery.js?ver=1.12.4-wp:3
    (anonymous) @ carousel.js:495
    (anonymous) @ carousel.js:11
    (anonymous) @ bootstrap.min.js?ver=5.3:6
    (anonymous) @ bootstrap.min.js?ver=5.3:6

    以上、ご教授いただけますと幸いです。
    宜しくお願い致します。

    #26625

    DRILL LANCER
    モデレーター

    キャッシュ系プラグインや Autoptimize を使用している場合キャッシュをクリアしてからプラグインを停止してみてください。

    P.S.
    Origin II 等の Bootstrap 4 版のスキンを使用している場合、
    本来ならば Bootstrap 4.3.1 が読み込まれるべきなのですが、
    現状 Bootstrap 3.4.1 が読み込まれていることによるエラーが発生しているようです。
    この場合キャッシュの疑いが濃厚なのでキャッシュの削除を試してみてください。

    #26665

    Vektor,Inc
    キーマスター

    Bootstrapを出力している他のプラグインとかありませんか?
    一旦プラグインを一つ一つ停止して確認してみてください。

    #30339

    Yuzu
    参加者

    みなさま

    しばらく寝かせていたもので、レスが遅くなりました。m(_ _)m

    > Bootstrapを出力している他のプラグインとかありませんか?

    こちらが非常にヒントになりまして、全プラグインを確認したところ、
    確かに、Bootstrapを同梱しているプラグインが存在し、その中で、v4系を使用しておりました。
    元々は、v3系を使用しており、それと競合していた様です。。

    対象のプラグイン内でBootstrapをDisableにする事ができたため、それによって事象が解決致しました。

    この度は、ご支援頂きまして、ありがとうございました。

4件の投稿を表示中 - 1 - 4件目 (全4件中)
  • このトピックに返信するにはログインが必要です。